Package: java.util

## [Java] Interface SortedMap

-     public interface SortedMap

  GDK enhancements for SortedMap.

  displayName:
    SortedMap
  receiverFqcn:
    java.util.SortedMap

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<K, V>` | `public SortedMap<K, V>` | `asChecked(Class<K> keyType, Class<V> valueType)` Creates a checked view of a SortedMap.
    `<K, V>` | `public SortedMap<K, V>` | `asImmutable()` A convenience method for creating an immutable SortedMap.
    `<K, V>` | `public SortedMap<K, V>` | `asSynchronized()` Creates a synchronized view of a SortedMap.
    `<K, V>` | `public SortedMap<K, V>` | `asUnmodifiable()` Creates an unmodifiable view of a SortedMap.
    `<K, V>` | `public SortedMap<K, V>` | `sort()` Avoids doing unnecessary work when sorting an already sorted map (i.e. an identity function for an already sorted map).
    `<K, V>` | `public Map<K, V>` | `toSorted()` Avoids doing unnecessary work when sorting an already sorted map

- - ### Method Detail

    - #### <K, V> public SortedMap<K, V> asChecked(Class<K> keyType, Class<V> valueType)

      Creates a checked view of a SortedMap.

      See Also:
        Collections.checkedSortedMap
      Since:
        5.0.0

    - #### <K, V> public SortedMap<K, V> asImmutable()

      A convenience method for creating an immutable SortedMap.

      Returns:
        an unmodifiable view of a copy of the original, i.e. an effectively immutable copy
      See Also:
        asImmutable(java.util.List)
        asUnmodifiable(java.util.SortedMap)
      Since:
        1.0

    - #### <K, V> public SortedMap<K, V> asSynchronized()

      Creates a synchronized view of a SortedMap.

      Returns:
        a synchronized SortedMap
      See Also:
        Collections.synchronizedSortedMap
      Since:
        1.0

    - #### <K, V> public SortedMap<K, V> asUnmodifiable()

      Creates an unmodifiable view of a SortedMap.

      Returns:
        an unmodifiable view of the SortedMap
      See Also:
        Collections.unmodifiableSortedMap
        asUnmodifiable(java.util.List)
      Since:
        2.5.0

    - #### <K, V> public SortedMap<K, V> sort()

      Avoids doing unnecessary work when sorting an already sorted map (i.e. an identity function for an already sorted map).

      Returns:
        the map
      Since:
        1.8.1

    - #### <K, V> public Map<K, V> toSorted()

      Avoids doing unnecessary work when sorting an already sorted map

      Returns:
        an ordered copy of the map
      Since:
        2.4.0